package cpcns.dingZhi.jiJianAnJuan.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.jiJian.model.jiJian;
import cpcns.dingZhi.jiJianAnJuan.model.jiJianAnJuan;
import cpcns.dingZhi.jiJianAnJuan.service.IJiJianAnJuanService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"jiJianAnJuanController"})
public class JiJianAnJuanController extends DangAnBaseController {
  @Autowired
  private IJiJianAnJuanService jiJianAnJuanService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @RequestMapping({"/createJijianWenJian.do"})
  public String createJijianWenJian(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String table = "D_jiJian";
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request
            .getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      jiJianAnJuan obj = (jiJianAnJuan)this.jiJianAnJuanService.getById(jiJianAnJuan.class, 
          hangBiaoShi);
      jiJian jijian = new jiJian();
      if (StringUtils.isNotBlank(obj.getMenLei()));
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
      if (dam != null) {
        model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        model.addAttribute("fenGeFu", dam.getFenGeFu());
        model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
      jijian.setGuanLianBiaoShi(hangBiaoShi);
      jijian.setGuiDangNianDu(obj.getGuiDangNianDu());
      jijian.setQuanZongHao(obj.getQuanZongHao());
      jijian.setAnJuanDangHao(obj.getDangHao());
      jijian.setMiJi(obj.getMiJi());
      jijian.setMenLei(obj.getMenLei());
      jijian.setBaoGuanQiXian(obj.getBaoGuanQiXian());
      jijian.setAnJuanHao(obj.getAnJuanHao());
      jijian.setYeShu("1");
      model.addAttribute("jiJian", jijian);
      model.addAttribute("table", table);
      getRequest().setAttribute("taa", Integer.valueOf(1));
      this.jiJianAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, table, hangBiaoShi, String.valueOf(obj.getXiangMuMingCheng()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/jijian/jijian_edit";
  }
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dingZhi/jiJianAnJuan/jiJianAnJuan_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    jiJianAnJuan obj = new jiJianAnJuan();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    obj.setZhuangTai(Integer.valueOf(2));
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    model.addAttribute("jiJianAnJuan", obj);
    return "dingZhi/jiJianAnJuan/jiJianAnJuan_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.jiJianAnJuanService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "")
        .replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("MIJI", "miJi")
        .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian")
        .replaceAll("XIANGMUMINGCHENG", "xiangMuMingCheng")
        .replaceAll("DANGHAO", "dangHao").replaceAll("FENLEIHAO", "fenLeiHao").replaceAll("ANJUANHAO", "anJuanHao");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, jiJianAnJuan obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getXiangMuMingCheng());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.jiJianAnJuanService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.jiJianAnJuanService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.jiJianAnJuanService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(2));
            this.jiJianAnJuanService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          this.jiJianAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getXiangMuMingCheng()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "题名已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      model.addAttribute("quanXian", quanXian);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      jiJianAnJuan obj = (jiJianAnJuan)this.jiJianAnJuanService.getById(jiJianAnJuan.class, hangBiaoShi);
      model.addAttribute("jiJianAnJuan", obj);
      if (StringUtils.isNotBlank(obj.getMenLei()));
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
      if (dam != null) {
        model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        model.addAttribute("fenGeFu", dam.getFenGeFu());
        model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
      if (this.tongYongService.checkWenjian(hangBiaoShi, this.table) != 0)
        model.addAttribute("state", "1"); 
      this.jiJianAnJuanService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getXiangMuMingCheng()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
      Integer fenshu = this.tongYongService.queryIsNotFile(hangBiaoShi, this.table);
      model.addAttribute("fenshu", fenshu);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/jiJianAnJuan/jiJianAnJuan_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        jiJianAnJuan jjaj = (jiJianAnJuan)this.jiJianAnJuanService.getById(jiJianAnJuan.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.jiJianAnJuanService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.jiJianAnJuanService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + jjaj.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
